LV2LINT(1)

NAME
lv2lint - an LV2 lintian

SYNOPSIS
lv2lint [OPTIONS] {PLUGIN_URI}*

DESCRIPTION
lv2lint checks whether given LV2 plugins are up to the specification.

It not only checks the *.ttl, but actually loads plugins (and their UIs) and checks whether required features and exposed extensions actually match between binary and *.ttl.

It thus finds errors that cannot readily be found by just checking the *.ttl for validity.

It is good practice to run it over your plugins as part of your continuous integration after checking them for validity with sord_validate and before releasing them to the public

OPTIONS

-v

    Print version and license information

-h

    Print usage information

-q

    Quiet mode, show only a summary

-d

    Show verbose test item documentation

-o

    Run online test items

-m

    Create mail to plugin author

-g GREETER

    Custom mail greeter

-s SYMBOL_PATTERN

    Symbol pattern (shell wildcard) to whitelist (can be used multiple times)

-l LIBRARY_PATTERN

    Library pattern (shell wildcard) to whitelist (can be used multiple times)

-u URI_PATTERN

    URI pattern (shell wildcards) to be prefixed to test, symbol and library whitelist patterns (can be used multiple times). The latter whitelist pattern will then only be effective when also the current URI pattern matches (e.g. for plugin itself or one of its UIs)

-t TEST_PATTERN

    Test name pattern (shell wildcards) to whitelist (can be used multiple times)

-I INCLUDE_DIR

    Apart from default LV2 plugin install paths, use include directory to search for plugins (can be used multiple times)

-M (no)pack (Default: pack)

    Modes to enable/disable, e.g. (pack)ager mode skips some fatal tests for distribution packagers that are important only for freely distributed binaries. If you are a distribution packager, preferebly run with '-M pack' (Default). If you want to build binaries for distributing, preferably run with -M nopack.

-S (no)warn|note|pass|all (Default: fail|warn)

    Apart from errors alone (fail), also show warnings (warn), notes (note), passes (pass) or all (all) on console. The no- prefix inverts the meaning.

-E (no)warn|note|all (Default: fail)

    Apart from errors alone (fail), also treat warnings (warn), notes (note) or all (all) as errors. The no- prefix inverts the meaning.

LICENSE
Artistic License 2.0.

AUTHOR
Hanspeter Portner (dev@open-music-kontrollers.ch).

SEE ALSO
sord_validate(1)